package com.unis.base.server.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.*;
import com.unis.base.server.domain.PersonnelMxDomain;
import com.unis.base.server.entity.PersonnelDO;
import com.unis.base.server.service.PersonnelMxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PersonnelMxServiceImpl implements PersonnelMxService {
    @Autowired
    private PersonnelMxDomain personnelMxDomain;

   /* @Override
    public List<PersonnelMxVO> getPersonnelDetails() {
        return personnelMxDomain.getPersonnelDetails();
    }*/

    @Override
    public PageInfo<PagePersonnelVO> pagePersonnel(PageSDetailsVO pageSDetailsVO) {
        return personnelMxDomain.pagePersonnel(pageSDetailsVO);
    }

    @Override
    public List<PersonnelVO> pagePersonnelDetails(String ryxm) {
        return personnelMxDomain.pagePersonnelDetails(ryxm);
    }

    @Override
    public void insertPersonnelDetails(PersonnelMxVO personnelMxVO) {
        personnelMxDomain.insertPersonnelDetails(personnelMxVO);
    }

    @Override
    public List<PagePersonnelVO> pageSDetails(PageSDetailsVO pageSDetailsVO) {
        return personnelMxDomain.pageSDetails(pageSDetailsVO);
    }

    @Override
    public PageInfo<PersonnelVO> pageDetails(Integer pageNum, Integer pageSize, String qymc, String ryxm, String personStatus) {
        return personnelMxDomain.pageDetails(pageNum, pageSize, qymc, ryxm, personStatus);
    }

    @Override
    public PersonnelDO updatePersonnel(Integer personStatus, String rybh) {
        return personnelMxDomain.updatePersonnel(personStatus, rybh);
    }

    @Override
    public String determine(String ryxm) {
        return personnelMxDomain.determine(ryxm);
    }

    @Override
    public void upPersonnelDetails(PersonnelMxVO personnelMxVO) {
        personnelMxDomain.upPersonnelDetails(personnelMxVO);
    }

    @Override
    public PersonnelMxVO catchPersonnelDetails(String rybh) {
        return personnelMxDomain.catchPersonnelDetails(rybh);
    }

    @Override
    public PersonnelMxVO catchPersonnelHDetails(String rybh) {
        return personnelMxDomain.catchPersonnelHDetails(rybh);
    }


}
